"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getElasticsearchEntityType = exports.EntityType = void 0;
let EntityType = exports.EntityType = /*#__PURE__*/function (EntityType) {
  EntityType["CMS"] = "headless-cms";
  EntityType["PAGE_BUILDER"] = "page-builder";
  EntityType["FORM_BUILDER"] = "form-builder";
  EntityType["FORM_BUILDER_SUBMISSION"] = "form-builder-submission";
  return EntityType;
}({});
const getElasticsearchEntityType = params => {
  if (params.index.includes("-headless-cms-")) {
    return EntityType.CMS;
  } else if (params.index.endsWith("-page-builder")) {
    return EntityType.PAGE_BUILDER;
  } else if (params.index.endsWith("-form-builder")) {
    if (params.SK.startsWith("FS#")) {
      return EntityType.FORM_BUILDER_SUBMISSION;
    }
    return EntityType.FORM_BUILDER;
  }
  throw new Error(`Unknown entity type for item "${JSON.stringify(params)}".`);
};
exports.getElasticsearchEntityType = getElasticsearchEntityType;

//# sourceMappingURL=getElasticsearchEntityType.js.map